Name:          python-probstat
License:       GPL
Group:         Applications/Engineering
Version:       0.912
Release:       2
Summary:       Probability And Statistics Utils for Python
Packager:      Ben Webb <ben@salilab.org>
URL:           http://probstat.sourceforge.net/
Source0:       probstat_%{version}.tgz
BuildRoot:     %{_tmppath}/%{name}-%{version}-build
BuildRequires: python-devel

%description
Some classes to do problems like Dr Ecco's Omniheurist Corner in python.
They are implemented in C with a python front-end, they are a good 10+ times
faster than python-native implementations.
It currently has objects that implement
    * Permutations
    * Combinations
    * Cartesian product
    * Priority Queue

%prep
%setup -n probstat_%{version}

%build
python setup.py install --root=${RPM_BUILD_ROOT} --record=INSTALLED_FILES

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files -f INSTALLED_FILES
%defattr(-,root,root)

%changelog
* Mon Jul 06 2009 Ben Webb <ben@salilab.org>   0.912-2
- Rebuild for Fedora 11.

* Tue Sep 02 2008 Ben Webb <ben@salilab.org>   0.912-1
- Initial package.
